# $Revision: 1.19 $, $Date: 2006/09/08 18:04:14 $
Summary:	Client for the Trivial File Transfer Protocol (TFTP)
Summary(de):	Client fr das 'trivial file transfer protocol (tftp)'
Summary(fr):	Client pour le  trivial file transfer protocol  (tftp)
Summary(pl):	Klient TFTP (Trivial File Transfer Protocol)
Summary(tr):	lkel dosya aktarm protokolu (TFTP) iin sunucu ve istemci
Name:		atftp
Version:	0.7
Release:	8
License:	GPL
Group:		Applications/Networking
Source0:	ftp://ftp.mamalinux.com/pub/atftp/%{name}-%{version}.tar.gz
# Source0-md5:	3b27365772d918050b2251d98a9c7c82
Source1:	%{name}d.inetd
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	libwrap-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations. This package contains tftp client.

%description -l de
Das trivial file transfer protocol (tftp) wird in der Regel nur zum
Booten von disklosen Workstations benutzt. Es bietet nur geringe
Sicherheit und sollte nur im Bedarfsfall aktiviert werden.

%description -l fr
Le  trivial file transfer protocol  (tftp) est normalement utilis
uniquement pour dmarrer les stations de travail sans disque. Il offre
trs peu de scurit et ne devrait pas tre activ sauf si c'est
ncessaire.

%description -l pl
Tftp (trivial file transfer protocol) jest uywany gwnie do
startowania stacji bezdyskowych z sieci. Pakiet ten zawiera aplikacj
tftp klienta.

%description -l tr
lkel dosya aktarm protokolu genelde disksiz i istasyonlarnn a
zerinden almalarnda kullanlr. Gvenlik denetimleri ok az
olduundan zorunlu kalmadka altrlmamaldr.

%package -n atftpd
Summary:	Daemon for the trivial file transfer protocol (tftp)
Summary(de):	Dmon fr das 'trivial file transfer protocol (tftp)'
Summary(fr):	Dmon pour le  trivial file transfer protocol  (tftp)
Summary(pl):	Serwer tftp (trivial file transfer protocol)
Summary(tr):	lkel dosya aktarm protokolu (TFTP) iin sunucu ve istemci
Group:		Networking/Daemons
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/useradd
Requires:	rc-inetd >= 0.8.1
Provides:	tftpdaemon
Provides:	user(tftp)
Obsoletes:	inetutils-tftpd
Obsoletes:	tftp-server
Obsoletes:	tftpd
Obsoletes:	tftpd-hpa
Obsoletes:	utftpd

%description -n atftpd
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations. The tftp package provides the user
interface for TFTP, which allows users to transfer files to and from a
remote machine. It provides very little security, and should not be
enabled unless it is needed.

%description -n atftpd -l de
Das trivial file transfer protocol (tftp) wird in der Regel nur zum
Booten von disklosen Workstations benutzt. Es bietet nur geringe
Sicherheit und sollte nur im Bedarfsfall aktiviert werden.

%description -n atftpd -l fr
Le  trivial file transfer protocol  (tftp) est normalement utilis
uniquement pour dmarrer les stations de travail sans disque. Il offre
trs peu de scurit et ne devrait pas tre activ sauf si c'est
ncessaire.

%description -n atftpd -l pl
TFTP (Trivial File Transfer Protocol) jest uywany gwnie do
startowania stacji bezdyskowych z sieci. Serwer tftp powinien by
instalowany tylko wtedy, kiedy zachodzi taka konieczno poniewa
naley on do aplikacji o niskim poziomie bezpieczestwa.

%prep
%setup -q

%build
sed -i -e 's#argz.h##g' Makefile*
rm -f missing argz.h
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},/etc/sysconfig/rc-inetd} \
	$RPM_BUILD_ROOT{%{_mandir}/man{1,8},/var/lib/tftp}

install atftpd $RPM_BUILD_ROOT%{_sbindir}
install atftp $RPM_BUILD_ROOT%{_bindir}
install *.8 $RPM_BUILD_ROOT%{_mandir}/man8/
install *.1 $RPM_BUILD_ROOT%{_mandir}/man1/

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/tftpd

%clean
rm -rf $RPM_BUILD_ROOT

%pre -n atftpd
%useradd -u 15 -r -d /var/lib/tftp -s /bin/false -c "TFTP User" -g ftp tftp

%post -n atftpd
%service -q rc-inetd reload

%postun -n atftpd
if [ "$1" = "0" ]; then
	%service -q rc-inetd reload
	%userremove tftp
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%files -n atftpd
%defattr(644,root,root,755)
%doc README FAQ
%attr(755,root,root) %{_sbindir}/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/tftpd
%attr(750,tftp,root) %dir /var/lib/tftp
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: atftp.spec,v $
Revision 1.19  2006/09/08 18:04:14  glen
- rel 8 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.18  2006/04/14 12:06:23  glen
- rel 7

Revision 1.17  2006/03/14 01:24:26  glen
- unified rc-inetd usage (via %service), adapterized

Revision 1.16  2005/09/17 19:05:37  arekm
- rel 6

Revision 1.15  2005/09/17 10:44:59  arekm
- readline 5.0

Revision 1.14  2005/05/02 18:23:51  glen
- adapterized

Revision 1.13  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.12  2004/09/25 12:13:54  blues
- release 4 - obsoletes from inetutils - STBR

Revision 1.11  2004/08/25 04:18:00  ankry
- rel. 3

Revision 1.10  2004/08/20 21:33:11  ankry
- use %userremove/%groupremove, some cosmetics

Revision 1.9  2004/07/09 23:55:11  ankry
- fixed obsoletes, rel. 2

Revision 1.8  2004/03/19 17:52:44  undefine
- update to 0.7

Revision 1.7  2003/08/26 23:19:16  gotar
- no // in paths, sort, white space cleaning

Revision 1.6  2003/08/06 16:30:04  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.5  2003/07/16 01:25:25  undefine
- ac/am stuff

Revision 1.4  2003/07/16 01:16:10  undefine
- update to 0.6.2, changed url, br: libwrap-devel, stbr ra/ac

Revision 1.3  2003/06/23 01:24:09  eothane
- Source0: fix

Revision 1.2  2003/06/23 01:18:19  serek
- typo, of course...

Revision 1.1  2003/06/23 01:16:09  serek
- new, stbr.
